Groovy Documentation

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class DefaultDynamicMethods

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
          org.codehaus.groovy.grails.commons.metaclass.DefaultDynamicMethods

    public class DefaultDynamicMethods
    extends AbstractDynamicMethods

Simple concrete class implementation of AbstractDynamicMethods class.

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary

Fields inherited from class AbstractDynamicMethods
clazz, dynamicConstructors, dynamicMethodInvocations, dynamicProperties, staticMethodInvocations

Constructor Summary
`DefaultDynamicMethods(java.lang.Class theClass)`

Method Summary

Methods inherited from class AbstractDynamicMethods
addDynamicConstructor, addDynamicMethodInvocation, addDynamicProperty, addStaticMethodInvocation, getDynamicMethod, getDynamicProperty, getProperty, invokeConstructor, invokeMethod, invokeStaticMethod, setProperty

Constructor Detail

### DefaultDynamicMethods

    public DefaultDynamicMethods(java.lang.Class theClass)

Groovy Documentation